package ${domain}.${module}.req;

<#list importList as i>
${i}
</#list>
<#list entNames as entName>
import ${domain}.${module}.ent.${entName};
</#list>
<#if !isTempReq>
import ${domain}.${module}.rsp.${className}Response;
</#if>
import ${domain}.ApiRequest;
<#if findOrSearchflag=='1'>
import ${domain}.ApiFindRequest;
<#elseif findOrSearchflag=='2'>
import ${domain}.ApiSearchRequest;
</#if>

<#list annotation as i>
${i}
</#list>
<#if findOrSearchflag=='1' && !isTempReq>
public class ${className}Request extends ApiFindRequest implements ApiRequest<${className}Response> {
<#elseif findOrSearchflag=='1' && isTempReq>
public class ${className}Request extends ApiFindRequest implements ApiRequest {
<#elseif findOrSearchflag=='2' && !isTempReq>
public class ${className}Request extends ApiSearchRequest implements ApiRequest<${className}Response> {
<#elseif findOrSearchflag=='2' && isTempReq>
public class ${className}Request extends ApiSearchRequest implements ApiRequest {
<#elseif !isTempReq>
public class ${className}Request implements ApiRequest<${className}Response> {
<#elseif isTempReq>
public class ${className}Request implements ApiRequest {
</#if>

<#list body as i>
<#if !i?contains("@")>
${i}
</#if>
</#list>

    public void check() {

    }

    public String path() {
        return "${module}/${target}/${method}";
    }

<#if !isTempReq>
    public Class<${className}Response> responseClass() {
        return ${className}Response.class;
    }
<#elseif isTempReq>
    public Class responseClass() {
        return null;
    }
</#if>
}
